#!/bin/bash

# Enter the level that contains the tiles at source resolution here:
MAXLEVEL=6

level=$MAXLEVEL

while [ $level -ge 1 ]
do
    let "nextlevel=$level-1"
    mkdir -p $nextlevel

    xmax=$((2**$level))
    ymax=$((2**($level-1)))

    y=0
    while [ $y -lt $ymax ]
    do
        ystr=$(printf "%06d" $y)
        mkdir -p "$nextlevel/$ystr"

        x=0
        while [ $x -lt $xmax ]
        do
            echo "level: $level x: $x y: $y"

            let "x0=2*$x"
            x0str=$(printf "%06d" $x0)
            let "y0=2*$y"
            y0str=$(printf "%06d" $y0)

            let "x1=2*$x+1"
            x1str=$(printf "%06d" $x1)
            let "y1=2*$y+1"
            y1str=$(printf "%06d" $y1)

            refimage="$level/$y0str/$x0str""_"$y0str".tif"
            secimage="$level/$y0str/$x1str""_"$y0str".tif"
            topimage="top.tif"
            echo "vips im_lrjoin $refimage $secimage $topimage"
            vips im_lrjoin $refimage $secimage $topimage

            refimage="$level/$y1str/$x0str""_"$y1str".tif"
            secimage="$level/$y1str/$x1str""_"$y1str".tif"
            bottomimage="bottom.tif"
            echo "vips im_lrjoin $refimage $secimage $bottomimage"
            vips im_lrjoin $refimage $secimage $bottomimage

            xstr=$(printf "%06d" $x)

            tempimage="temp.tif"
    
            echo "vips im_tbjoin $topimage $bottomimage $tempimage"            
            vips im_tbjoin $topimage $bottomimage $tempimage

            targetimage="$nextlevel/$ystr/$xstr""_"$ystr".tif"

            echo "vips im_affine $tempimage $targetimage 0.5 0 0 0.5 0 0 0 0 675 675"
            vips im_affine $tempimage $targetimage 0.5 0 0 0.5 0 0 0 0 675 675

            let "x+=1"
        done
        let "y+=1"
    done
    let "level-=1"
done
