#!/bin/bash

y=0
for lat in N75 N45 N15 S15 S45 S75
do
  x=0

    refimage="moon_"$lat"_015.tif"
    secimage="moon_"$lat"_045.tif"
    tempimage="temp.tif"
    echo "vips im_lrjoin $refimage $secimage $tempimage"
    vips im_lrjoin $refimage $secimage $tempimage
    finalimage="moon_"$x"_"$lat".tif"
    secimage="moon_"$lat"_075.tif"
    echo "vips im_lrjoin $tempimage $secimage $finalimage"
    vips im_lrjoin $tempimage $secimage $finalimage
    let "x+=1"

  for lon in 105 195 285
  do
    refimage="moon_"$lat"_"$lon".tif"
    let "slon=$lon+30"
    secimage="moon_"$lat"_"$slon".tif"
    tempimage="temp.tif"
    echo "vips im_lrjoin $refimage $secimage $tempimage"
    vips im_lrjoin $refimage $secimage $tempimage
    let "tlon=$lon+60"
    finalimage="moon_"$x"_"$lat".tif"
    secimage="moon_"$lat"_"$tlon".tif"
    echo "vips im_lrjoin $tempimage $secimage $finalimage"
    vips im_lrjoin $tempimage $secimage $finalimage
    let "x+=1"
  done
  let "y+=1"
done


for lat in N75 N45 N15 S15 S45 S75
do
  for x in 0 1 2 3
  do
    refimage="moon_"$x"_"$lat".tif"

    let "rx=$x*2"
    secimage="moon10800_"$rx"_"$lat".tif"
    echo "vips im_extract_area $refimage $secimage 0 0 10800 7200"     
    vips im_extract_area $refimage $secimage 0 0 10800 7200 

    let "sx=$x*2+1"
    secimage="moon10800_"$sx"_"$lat".tif"
    echo "vips im_extract_area $refimage $secimage 10800 0 10800 7200"     
    vips im_extract_area $refimage $secimage 10800 0 10800 7200
  done
done

for x in 0 1 2 3 4 5 6 7
do
    refimage="moon10800_"$x"_N75.tif"
    secimage="moon10800_"$x"_N45.tif"
    tempimage="temp.tif"
    echo "vips im_tbjoin $refimage $secimage $tempimage"
    vips im_tbjoin $refimage $secimage $tempimage
    secimage="moon10800_"$x"_N15.tif"
    finalimage="moon10800_"$x"_0.tif"
    echo "vips im_tbjoin $tempimage $secimage $finalimage"
    vips im_tbjoin $tempimage $secimage $finalimage

    refimage="moon10800_"$x"_S15.tif"
    secimage="moon10800_"$x"_S45.tif"
    tempimage="temp.tif"
    echo "vips im_tbjoin $refimage $secimage $tempimage"
    vips im_tbjoin $refimage $secimage $tempimage
    secimage="moon10800_"$x"_S75.tif"
    finalimage="moon10800_"$x"_1.tif"
    echo "vips im_tbjoin $tempimage $secimage $finalimage"
    vips im_tbjoin $tempimage $secimage $finalimage
done

for x in 0 1 2 3 4 5 6 7
do
    for y in 0 1
    do
        refimage="moon10800_"$x"_"$y".tif"

        let "ry=$y*2"
        secimage="moon_"$x"_"$ry".tif"
        echo "vips im_extract_area $refimage $secimage 0 0 10800 10800"     
        vips im_extract_area $refimage $secimage 0 0 10800 10800

        let "sy=$y*2+1"
        secimage="moon_"$x"_"$sy".tif"
        echo "vips im_extract_area $refimage $secimage 0 10800 10800 10800"     
        vips im_extract_area $refimage $secimage 0 10800 10800 10800
    done
done

exit 0
